Bug 144644 - Cant start httpd
Cant start httpd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 03:42 EST by Sonya Ngiam
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 05:23:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sonya Ngiam 2005-01-10 03:42:58 EST
Description of problem:
Tried to upgrade php4+ to php5.0.
and in the end .. httpd cant start 
problems is 
Syntax error on line 6 of /etc/httpd/conf.d/php.conf:
Cannot load /etc/httpd/modules/libphp5.so into server:
/lib/tls/i686/libdb-4.3.so: symbol __strcpy_chk, version GLIBC_2.3.4
not defined in file libc.so.6 with link time reference

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
service httpd start
Starting httpd: Syntax error on line 6 of /etc/httpd/conf.d/php.conf:
Cannot load /etc/httpd/modules/libphp5.so into server:
/lib/tls/i686/libdb-4.3.so: symbol __strcpy_chk, version GLIBC_2.3.4
not defined in file libc.so.6 with link time reference
                                                           [FAILED]
Expected results:

service httpd start                                                  
        [ OK ]

Additional info:
Comment 1 Joe Orton 2005-01-10 05:23:52 EST
Using a Raw Hide php binary package on an FC3 system won't work, 
you need to either update to the Raw Hide glibc package too, or 
rebuild the Raw Hide php source RPM on the FC3 system.
Comment 2 khalid 2005-02-21 01:28:13 EST
I installed in FC2. While, It displays same error. any comments
Comment 3 Joe Orton 2005-02-22 04:40:46 EST
The same comment: you need to rebuild the PHP RPM from the source. 
Ask fedora-list@redhat.com if you need help.

Note You need to log in before you can comment on or make changes to this bug.